package de.deversmann.domain;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class ZeiterfassungTest {

    @Test
    void testZeiterfassungStartStop() throws InterruptedException {
        Zeiterfassung timer = new Zeiterfassung();
        timer.start();

        Thread.sleep(1000); // 1 Sekunde warten

        timer.stop();
        long elapsedTime = timer.getElapsedTimeInSeconds();

        assertTrue(elapsedTime >= 1 && elapsedTime < 2, "Elapsed time should be approximately 1 second.");
    }

}