package de.deversmann.domain;

import java.util.List;

public class PuzzleData {

    private final int[][] puzzle;
    private final List<int[]> solutionCoordinates;

    public PuzzleData(int[][] puzzle, List<int[]> solutionCoordinates) {
        this.puzzle = puzzle;
        this.solutionCoordinates = solutionCoordinates;
    }

    public int[][] getPuzzle() {
        return puzzle;
    }

    public List<int[]> getSolutionCoordinates() {
        return solutionCoordinates;
    }
}