package de.deversmann.domain;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;

class HighscoreEntryTest {

    @Test
    void testHighscoreEntryProperties() {
        HighscoreEntry entry = new HighscoreEntry("Alice", 120, 3);

        assertEquals("Alice", entry.getPlayerName());
        assertEquals(120, entry.getTimeSeconds());
        assertEquals(3, entry.getErrorCount());
    }

    @Test
    void testToString() {
        HighscoreEntry entry = new HighscoreEntry("Alice", 120, 3);

        assertEquals("Alice - 120s (Fehler: 3)", entry.toString());
    }
}